# Generated by Django 3.2.5 on 2021-09-15 13:38

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0019_auto_20210915_1529"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="user",
            name="admin_group",
        ),
        migrations.AddField(
            model_name="admingroup",
            name="allowed_courses",
            field=models.ManyToManyField(
                blank=True,
                help_text="Courses this person is allowed to edit. ",
                related_name="allowed_courses",
                to="app.Course",
            ),
        ),
        migrations.AddField(
            model_name="admingroup",
            name="allowed_users",
            field=models.ManyToManyField(
                blank=True,
                help_text="Users that are part of this group. ",
                related_name="allowed_users",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
